#!/bin/bash

. _lib.sh

t() {
    for i in norm boost; do
	ssh root@${SSH_CONNECTION%% *} 'find -L /usr/src/linux -type f -exec cat "{}" ";"' > /dev/null &
	PID_LOAD=$!
	echo 0 1 > $DRIVER-$i-1000.dat
	if [ $i != "boost" ] || boost_irq_prio 90; then
	    PID_S=`vca_canping -s 1 -b -R FF:$RTPRIO -d $CAN1`
	    vca_canping -m 1 -R FF:$RTPRIO -v -g $DRIVER-$i -t 1 -d $CAN0 -w 0 -c $COUNT
	    kill $PID_S
	fi
	kill $PID_LOAD
    done
}



p() { cat <<EOF
set title "Round-trip time with receive ethernet load"
set logscale y
set grid
set xlabel "Time [ms]"
set ylabel "Latency profile [messages]"
plot [0:] "socketcan-norm-1000.dat" with lp lt 1 title "Socketcan",\
          "lincan-norm-1000.dat" with lp lt 2 title "Lincan",\
          "socketcan-boost-1000.dat" with lp lt 1 title "Socketcan boosted IRQ prio",\
          "lincan-boost-1000.dat" with lp lt 2 title "Lincan boosted IRQ prio"
EOF
}
